## org.hibernate.mapping
Interface RelationalModel

All Known Subinterfaces:
  AuxiliaryDatabaseObject

All Known Implementing Classes:
  AbstractAuxiliaryDatabaseObject, Constraint, DenormalizedTable, ForeignKey, Index, PrimaryKey, SimpleAuxiliaryDatabaseObject, Table, UniqueKey

    public interface RelationalModel

A relational object which may be created using DDL

Author:
  Gavin King

Method Summary
`String` `sqlCreateString(Dialect dialect, Mapping p, String defaultCatalog, String defaultSchema)`
`String` `sqlDropString(Dialect dialect, String defaultCatalog, String defaultSchema)`

Method Detail

### sqlCreateString

    String sqlCreateString(Dialect dialect,
                           Mapping p,
                           String defaultCatalog,
                           String defaultSchema)
                           throws HibernateException

  Throws:
    `HibernateException`

### sqlDropString

    String sqlDropString(Dialect dialect,
                         String defaultCatalog,
                         String defaultSchema)

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.